Name:          fluent-collections
Version:       0.0.2
Release:       1%{?dist}
Summary:       Fluent interface collections
License:       ASL 2.0
URL:           http://www.lexicalscope.com/blog/
Source0:       https://github.com/lexicalscope/fluent-collections/archive/%{name}-%{version}.tar.gz
# fluent-collections package don't include the license file
# reported @ https://github.com/lexicalscope/fluent-collections/issues/1
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
# remove unavailable methods in lambdaj 2.4
Patch0:        fluent-collections-0.0.2-lambdaj.patch

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.googlecode.lambdaj:lambdaj)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-integration)
BuildRequires: mvn(org.jmock:jmock-junit4)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Fluent collection library providing uniform access to
some of the collections features of guava, hamcrest,
lamdbaj and commons collections.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
%patch0 -p1

%pom_remove_plugin :animal-sniffer-maven-plugin

# Resolve unavailable junit-dep
%pom_change_dep :junit-dep :junit

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Sun Sep 06 2015 gil cattaneo <puntogil@libero.it> 0.0.2-1
- update to 0.0.2

* Mon Sep 16 2013 gil cattaneo <puntogil@libero.it> 0.0.1-1
- initial rpm
